#!/bin/ash

SH_IVTOOL=/mnt/ext1/system/bin/sh_ivtool.app

about() { 
$SH_IVTOOL -s "Change Gamma settings for 

Adobe and/or DjVu reader"
changegamma
}

newgamma() { 
$SH_IVTOOL -s "New Gamma settings:

`cat /mnt/ext1/system/config/global.cfg | grep Gamma`"
}

readgamma() { 
$SH_IVTOOL -s "Current Gamma settings:

`cat /mnt/ext1/system/config/global.cfg | grep Gamma`"
changegamma
}

backup() {
cp /mnt/ext1/system/config/global.cfg /mnt/ext1/system/config/global.cfg.old
$SH_IVTOOL -s "global.cfg.old written to
/mnt/ext1/system/config/"
changegamma
}

changegamma() { 

	STATUS="`cat /mnt/ext1/system/config/global.cfg | grep Gamma`"

#once new values are written, STATUS isn't updated because the script ends
#may be you want came bach to the choices, then update STATUS otherway the
#popup window for input new gamma reports old values of gamma 

	PRG=`$SH_IVTOOL -o Adobe,DjVu,"Adobe and DjVu","Read Gamma","Backup global.cfg",About,QUIT`

	if [ $? -eq 0 -a "$PRG" == "Adobe" ]; then
	CHANGE="`echo "$STATUS" | grep "$PRG"`"
	NEW=`$SH_IVTOOL -t "$CHANGE (new x.x)"`
	sed -i "s/GammaLevelAdobe=.*/GammaLevelAdobe="$NEW"/" /mnt/ext1/system/config/global.cfg
	newgamma
	exit
	fi

	if [ $? -eq 0 -a "$PRG" == "DjVu" ]; then
	CHANGE="`echo "$STATUS" | grep "$PRG"`"
	NEW=`$SH_IVTOOL -t "$CHANGE (new x.x)"`
	sed -i "s/GammaLevelDjVu=.*/GammaLevelDjVu="$NEW"/" /mnt/ext1/system/config/global.cfg	
	newgamma
	exit
	fi

	if [ $? -eq 0 -a "$PRG" == "Adobe and DjVu" ]; then
	NEW=`$SH_IVTOOL -t "New Adobe & DjVu gamma (x.x y.y)"`
	NEWA=`echo ${NEW:0:3}`
	NEWD=`echo ${NEW:4:3}`
	sed -i "s/GammaLevelAdobe=.*/GammaLevelAdobe="$NEWA"/" /mnt/ext1/system/config/global.cfg	
	sed -i "s/GammaLevelDjVu=.*/GammaLevelDjVu="$NEWD"/" /mnt/ext1/system/config/global.cfg
	newgamma
	exit
	fi

	if [ $? -eq 0 -a "$PRG" == "Read Gamma" ]; then
	readgamma
	fi

	if [ $? -eq 0 -a "$PRG" == "Backup global.cfg" ]; then
	backup
	fi

        if [ $? -eq 0 -a "$PRG" == "QUIT" ]; then
	exit
	fi

        if [ $? -eq 0 -a "$PRG" == "About" ]; then
	about
	fi

}

changegamma

exit
